Nominations 2017-11-25

From RoboWiki
Jump to: navigation, search

Updated to Java 8, but I can't run battles for rsalesc.Roborio and xander.XanderCat. Seems that they are made with Java 9 specific things. So if anyone else with Java 9 can also run Gigarumble, the ranking can become complete.

GrubbmGait (talk)21:21, 27 November 2017

Suddenly Roborio works, with some luck XanderCat will also . . .

GrubbmGait (talk)00:35, 28 November 2017
 

Team rumble and Twin Duel are broken in Java 9. I won't upgrade until the Robocode engine is fixed.

MN (talk)00:38, 28 November 2017

The battle bugs (Bug-389, Bug-390) have been fixed, but only with version 1.9.3.0. The rumble is still stuck on version 1.9.2.6, because the server won't be upgraded until a regression analysis is made, and no one has yet volunteered to do that.

MultiplyByZer0 (talk)09:40, 30 November 2017
 

Both works fine here in Java 8, so maybe restarting the rumble/cleaning the caches helps? btw I would like to run Gigarumble as well, may you post a working config file for it? Hope that is included in the next release of robocode.

Xor (talk)05:00, 28 November 2017

I removed the caches from all installations (RoboRumble and GigaRumble are separate installs), and now XanderCat also works! I can't run battles till I get home though, as the firewall at work prevents download/upload of necessary files and results.

My config file is listed in the discussion below. The gigarumble.bat file contains:

java -Xmx512M -cp libs/robocode.jar;libs/roborumble.jar;libs/codesize-1.1.jar; roborumble.RoboRumbleAtHome ./roborumble/gigarumble.txt
GrubbmGait (talk)09:56, 28 November 2017
 
 
Personal tools